Skip to main content
POST
Void Invoice Refund

Authorizations

Authorization
string
header
required

API key authentication

Path Parameters

id
string
required

The invoice ID

refundId
string
required

The refund (credit note) ID

Body

application/json
reason
string

Optional reason for voiding the refund (recorded on the credit note)

Response

Refund voided

object
enum<string>
required

The object type

Available options:
invoice_refund
id
string
required

The credit note ID (crn_*)

invoiceId
string
required

The invoice this refund credits

merchantId
string
required

The merchant that owns the invoice

amount
string
required

Refunded subtotal (pre-tax) in decimal dollars

taxAmount
string
required

Reversed tax in decimal dollars

total
string
required

Total refunded (amount + taxAmount) in decimal dollars

currency
string
required

ISO 4217 currency code

status
enum<string>
required

Credit note status

Available options:
ISSUED,
VOIDED
externalCreditNoteId
string
required

Credit note id in the tax provider

createdAt
string<date-time>
required

When the refund was issued

Public URL to view the credit note document

pdfUrl
string | null

Direct PDF download link

reason
string | null

Optional refund reason

voidedAt
string<date-time> | null

When the refund was voided, if applicable